# $Revision: 1.25 $, $Date: 2008-03-02 16:32:05 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Jcode
Summary:	Jcode - Japanese charset handler
Summary(pl.UTF-8):	Jcode - obsługa kodowania japońskiego
Name:		perl-Jcode
Version:	2.06
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DA/DANKOGAI/%{pnam}-%{version}.tar.gz
# Source0-md5:	56d787a94cbb557d8b21d10972befd94
URL:		http://search.cpan.org/dist/Jcode/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-MIME-Base64
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jcode is a Perl extension interface to convert Japanese text.

%description -l pl.UTF-8
Jcode jest rozszerzeniem Perla do konwersji tekstu japońskiego.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Jcode
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Jcode.spec,v $
Revision 1.25  2008-03-02 16:32:05  radek
- version 2.06, get rid of the XS part (-> noarch)

Revision 1.24  2008-02-10 12:13:22  arekm
- rel 2

Revision 1.23  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.21  2006/10/09 12:24:52  qboosh
- added URL

Revision 1.20  2004/12/12 10:26:30  adamg
- updated to 0.88

Revision 1.19  2004/12/01 10:13:42  radek
- standarized Source0 URL

Revision 1.18  2004/11/03 22:30:29  paladine
- formatting

Revision 1.17  2004/08/08 18:48:43  adamg
- updated to 0.87

Revision 1.16  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.15  2004/05/06 18:09:45  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.13  2004/04/22 13:10:32  ankry
- license fixes & unification

Revision 1.12  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.11  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/11 11:42:58  qboosh
- up to 0.83, removed unnecessary Provides (from RA-branch), release 2

Revision 1.8  2003/05/28 13:00:45  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:40:13  radek
- use the __perl macro

Revision 1.3  2002/09/27 14:32:08  ankry
- version 0.82, rel. 1

Revision 1.2  2002/09/09 13:39:27  radek
- pl summary/description; release 2

Revision 1.1  2002/09/08 22:30:05  radek
- new, STBR
